{
  "schema_version": "1.4.0",
  "id": "GHSA-jhqp-j8gr-8fxw",
  "modified": "2025-04-09T04:04:40Z",
  "published": "2022-05-02T03:15:51Z",
  "aliases": [
    "CVE-2009-0475"
  ],
  "details": "Integer underflow in the Huffman decoding functionality (pvmp3_huffman_parsing.cpp) in OpenCORE 2.0 and earlier allows remote attackers to cause a denial of service (process crash) and possibly execute arbitrary code via a crafted MP3 file that triggers heap corruption.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0475"
    },
    {
      "type": "WEB",
      "url": "http://android.git.kernel.org/?p=platform/external/opencore.git%3Ba=commit%3Bh=7b466cd0ecfdba72c4cbd0f3a8c2001141376b0f"
    },
    {
      "type": "WEB",
      "url": "http://android.git.kernel.org/?p=platform/external/opencore.git;a=commit;h=7b466cd0ecfdba72c4cbd0f3a8c2001141376b0f"
    },
    {
      "type": "WEB",
      "url": "http://review.source.android.com/Gerrit#change%2C8815"
    },
    {
      "type": "WEB",
      "url": "http://review.source.android.com/Gerrit#change,8815"
    },
    {
      "type": "WEB",
      "url": "http://www.ocert.org/advisories/ocert-2009-002.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/500750/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/33673"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-02-11T00:30:00Z"
  }
}